CUDA Runtime API (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 4.13. cudaResourceDesc Struct Reference

## [Data types used by CUDA Runtime]

CUDA resource descriptor

### Public Variables

cudaArray_t array
struct cudaChannelFormatDesc desc
void * devPtr
size_t height
cudaMipmappedArray_t mipmap
size_t pitchInBytes
enumcudaResourceType resType
size_t sizeInBytes
size_t width

### Variables

cudaArray_t cudaResourceDesc::array [inherited]

  CUDA array

struct cudaChannelFormatDesc cudaResourceDesc::desc [inherited]

  Channel descriptor

void * cudaResourceDesc::devPtr [inherited]

  Device pointer

size_t cudaResourceDesc::height [inherited]

  Height of the array in elements

cudaMipmappedArray_t cudaResourceDesc::mipmap [inherited]

  CUDA mipmapped array

size_t cudaResourceDesc::pitchInBytes [inherited]

  Pitch between two rows in bytes

enumcudaResourceType cudaResourceDesc::resType [inherited]

  Resource type

size_t cudaResourceDesc::sizeInBytes [inherited]

  Size in bytes

size_t cudaResourceDesc::width [inherited]

  Width of the array in elements